# Created by pyp2rpm-3.3.1
%global pypi_name openstackdocstheme

Name:           python-%{pypi_name}
Version:        3.0.0
Release:        %mkrel 1
Summary:        OpenStack Docs Theme
Group:          Development/Python
License:        ASL 2.0
URL:            https://docs.openstack.org/openstackdocstheme/latest/
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  git-core
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildConflicts: python3dist(hacking)
BuildRequires:  python3dist(dulwich)
BuildRequires:  python3dist(pbr)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(certifi)
BuildRequires:  python3dist(cryptography)
BuildRequires:  python3-OpenSSL

%description
Theme and extension support for Sphinx documentation that is published to
docs.openstack.org and developer.openstack.org.

%package -n     python3-%{pypi_name}
Summary:        OpenStack Docs Theme
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Theme and extension support for Sphinx documentation that is published to
docs.openstack.org and developer.openstack.org.

%prep
%autosetup -n %{pypi_name}-%{version}

# Loosen reqs
perl -pi -e 's/!=/>/g' requirements.txt

%build
%pyproject_wheel

# generate html docs
PYTHONPATH=${PWD} sphinx-build doc/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

cp -a openstackdocstheme/theme %{buildroot}%{python3_sitelib}/%{pypi_name}/

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc html
%{_bindir}/docstheme-build-pdf
%{_bindir}/docstheme-build-translated.sh
%{_bindir}/docstheme-lang-display-name.py


%changelog
* Mon Aug 22 2022 wally <wally> 3.0.0-1.mga9
+ Revision: 1879128
- new version 3.0.0
- switch build to pyproject RPM macros

* Tue Apr 05 2022 umeabot <umeabot> 2.3.0-4.mga9
+ Revision: 1844792
- Mageia 9 Mass Rebuild

* Sat Feb 12 2022 tv <tv> 2.3.0-3.mga9
+ Revision: 1773611
- Rebuild for python-3.10

* Fri Sep 03 2021 wally <wally> 2.3.0-2.mga9
+ Revision: 1744249
- loosen reqs

* Sun Aug 29 2021 wally <wally> 2.3.0-1.mga9
+ Revision: 1743463
- new version 2.3.0

* Sun Mar 21 2021 daviddavid <daviddavid> 2.2.5-3.mga9
+ Revision: 1706460
- rebuild for python 3.9

* Sat Oct 03 2020 tv <tv> 2.2.5-2.mga8
+ Revision: 1631946
- rebuild in order to fix deps

* Fri Oct 02 2020 kekepower <kekepower> 2.2.5-1.mga8
+ Revision: 1631589
- Update to version 2.2.5

* Fri Jun 12 2020 kekepower <kekepower> 2.2.1-1.mga8
+ Revision: 1592970
- Update to version 2.2.1

* Thu Apr 09 2020 kekepower <kekepower> 2.0.2-1.mga8
+ Revision: 1565695
- Update to version 2.0.2

* Sun Feb 16 2020 umeabot <umeabot> 1.31.0-3.mga8
+ Revision: 1533579
- Mageia 8 Mass Rebuild

* Mon Sep 23 2019 tv <tv> 1.31.0-2.mga8
+ Revision: 1444746
- rebuild for python-3.8

* Tue Aug 20 2019 wally <wally> 1.31.0-1.mga8
+ Revision: 1430550
- new version 1.31.0
- drop python2 support
- include binaries
- include html doc in python3 pkg

* Sun Apr 07 2019 kekepower <kekepower> 1.29.0-1.mga7
+ Revision: 1386566
- Update to version 1.29.0

* Wed Jan 09 2019 tv <tv> 1.28.0-2.mga7
+ Revision: 1353573
- BR git
- rebuild with python 3.7
+ shlomif <shlomif>
- Rebuild for python3 3.7
+ kekepower <kekepower>
- Update to version 1.28.0

* Thu Sep 20 2018 umeabot <umeabot> 1.20.1-3.mga7
+ Revision: 1289498
- Mageia 7 Mass Rebuild

* Thu Apr 05 2018 kekepower <kekepower> 1.20.1-2.mga7
+ Revision: 1215459
- Fix missing theme folder

* Thu Apr 05 2018 kekepower <kekepower> 1.20.1-1.mga7
+ Revision: 1215445
- Add more BuildRequires
- Disable tests until python-hacking is available
- BR python[2,3]dist(certifi)
- BR python2dist(sphinx)
- imported package python-openstackdocstheme

